<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NetscriptPort](./bitburner.netscriptport.md) &gt; [peek](./bitburner.netscriptport.peek.md)

## NetscriptPort.peek() method

Retrieve the first element from the port without removing it.

**Signature:**

```typescript
peek(): PortData;
```
**Returns:**

[PortData](./bitburner.portdata.md)

the data read

## Remarks

RAM cost: 0 GB

This function is used to peek at the data from a port. It returns the first element in the specified port without removing that element. If the port is empty, the string “NULL PORT DATA” will be returned.

